Package org.drinkless.tdlib

# Class TdApi.MessageThreadInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageThreadInfo

Enclosing class:
  TdApi

public static class TdApi.MessageThreadInfo extends TdApi.Object
Contains information about a message thread.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Identifier of the chat to which the message thread belongs.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.DraftMessage`
  `draftMessage`
  A draft of a message in the message thread; may be null if none.
  `TdApi.Message[]`
  `messages`
  The messages from which the thread starts.
  `long`
  `messageThreadId`
  Message thread identifier, unique within the chat.
  `TdApi.MessageReplyInfo`
  `replyInfo`
  Information about the message thread; may be null for forum topic threads.
  `int`
  `unreadMessageCount`
  Approximate number of unread messages in the message thread.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageThreadInfo()`
  Contains information about a message thread.
  `MessageThreadInfo(long chatId, long messageThreadId, TdApi.MessageReplyInfo replyInfo, int unreadMessageCount, TdApi.Message[] messages, TdApi.DraftMessage draftMessage)`
  Contains information about a message thread.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Identifier of the chat to which the message thread belongs.

  - ### messageThreadId

    public long messageThreadId
    Message thread identifier, unique within the chat.

  - ### replyInfo

    @Nullable public TdApi.MessageReplyInfo replyInfo
    Information about the message thread; may be null for forum topic threads.

  - ### unreadMessageCount

    public int unreadMessageCount
    Approximate number of unread messages in the message thread.

  - ### messages

    public TdApi.Message[] messages
    The messages from which the thread starts. The messages are returned in a reverse chronological order (i.e., in order of decreasing messageId).

  - ### draftMessage

    @Nullable public TdApi.DraftMessage draftMessage
    A draft of a message in the message thread; may be null if none.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageThreadInfo

    public MessageThreadInfo()
    Contains information about a message thread.

  - ### MessageThreadInfo

    public MessageThreadInfo(long chatId, long messageThreadId, TdApi.MessageReplyInfo replyInfo, int unreadMessageCount, TdApi.Message[] messages, TdApi.DraftMessage draftMessage)
    Contains information about a message thread.
    Parameters:
      `chatId` - Identifier of the chat to which the message thread belongs.
      `messageThreadId` - Message thread identifier, unique within the chat.
      `replyInfo` - Information about the message thread; may be null for forum topic threads.
      `unreadMessageCount` - Approximate number of unread messages in the message thread.
      `messages` - The messages from which the thread starts. The messages are returned in a reverse chronological order (i.e., in order of decreasing messageId).
      `draftMessage` - A draft of a message in the message thread; may be null if none.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR